## KuttyPy Interactive Playground

![Screenshot](/docs/main.gif?raw=true "Recording of the User Interface")

---
The kuttyPy hardware is an ATMEGA32 microcontroller development board developed by the [ExpEYES](http://expeyes.in) project wherein the processor's registers can be manipulated in real-time via a connected computer containing its python library. The setReg and getReg function calls act as a real-time debugging and monitoring utility, and combined with Python's visualization and analytical utilities, this approach has immense pedagogical potential for beginners. 

## Simple blink.py example
![Screenshot](/docs/blink.gif?raw=true "Write Python code to blink all of PORT D")

![Screencast](/docs/monitor.gif?raw=true "Monitor your code!")
Monitor your code's activity while it executes

## Plotting ADC values using matplotlib
![Screenshot](/docs/code.gif?raw=true "Recording of the ADC logging example")



### Installing on Ubuntu
+ sudo apt-get install python3 python3-pyqt5


---
+ python3 KuttyPy.py


License: MIT



---
Developed by Jithin B.P @CSpark Research, 2018
